import { defineComponent as B, mergeModels as E, useSlots as F, useModel as T, ref as V, watchEffect as $, computed as P, openBlock as n, createElementBlock as i, normalizeClass as U, renderSlot as h, createCommentVNode as r, createElementVNode as u, createBlock as c, unref as o, withDirectives as K, withKeys as M, vModelDynamic as D, createVNode as L, toRefs as O } from "vue";
import { Props as R, Emits as A } from "./index3.js";
import { FzSvgIcon as v } from "../../svg-icon/index.js";
import { FzButton as G } from "../../button/index.js";
import { FzSwap as H } from "../../swap/index.js";
import X from "../../../../fz-design-icon/src/icon-x/index.js";
import j from "../../../../fz-design-icon/src/icon-eye/index.js";
import q from "../../../../fz-design-icon/src/icon-eye-off/index.js";
import J from "../../../../fz-design-icon/src/icon-search/index.js";
import { useFormSize as Q } from "../../form/src/hooks/index2.js";
import { INPUT_EVENT as W, CHANGE_EVENT as Y, BLUR_EVENT as Z, FOCUS_EVENT as x } from "../../../constants/index.js";
const ee = {
  key: 0,
  class: "fz-input__before"
}, oe = { class: "fz-input__wrapper" }, se = { class: "fz-input__prefix" }, ne = ["type", "maxlength", "disabled", "readonly", "autofocus", "autocomplete", "name", "placeholder", "onKeyup"], ae = { class: "fz-input__suffix" }, le = {
  key: 1,
  class: "fz-input__after"
};
var ye = /* @__PURE__ */ B({
  name: "FzInput",
  __name: "input",
  props: E(R, {
    modelValue: {
      default: "",
      type: [String, Number]
    }
  }),
  emits: E(A, ["update:modelValue"]),
  setup(y, { emit: a }) {
    const s = y, z = F(), l = T(y, "modelValue"), p = Q(s.size), w = () => {
      a(W, l.value);
    }, b = () => {
      l.value = "", a("clear");
    }, k = () => {
      a(Y, l.value);
    }, I = (e) => {
      a(Z, e);
    }, C = (e) => {
      a(x, e);
    }, d = V(!1), f = V(s.type);
    $(() => {
      f.value = s.type;
    });
    const _ = (e) => {
      a("search", l.value, e);
    }, S = (e) => {
      const { search: t } = O(s);
      t.value && _(e);
    }, N = () => {
      f.value = d.value ? "text" : "password";
    }, g = P(() => [
      "fz-input",
      {
        [`fz-input--${p.value}`]: p.value,
        "is-disabled": s.disabled,
        "is-search": s.search,
        "is-hidden": s.type === "hidden",
        "is-before": z.before,
        "is-after": z.after || s.search
      }
    ]);
    return (e, t) => (n(), i("div", {
      role: "input",
      class: U(g.value)
    }, [
      e.$slots.before ? (n(), i("div", ee, [
        h(e.$slots, "before")
      ])) : r("", !0),
      u("div", oe, [
        u("div", se, [
          e.prefixIcon ? (n(), c(o(v), {
            key: 0,
            class: "fz-input__prefix-icon",
            icon: e.prefixIcon,
            size: 14
          }, null, 8, ["icon"])) : r("", !0)
        ]),
        K(u("input", {
          "onUpdate:modelValue": t[0] || (t[0] = (m) => l.value = m),
          class: "fz-input__inner",
          type: f.value,
          maxlength: e.maxlength,
          disabled: e.disabled,
          readonly: e.readonly,
          autofocus: e.autofocus,
          autocomplete: e.autocomplete,
          name: e.name,
          placeholder: e.placeholder,
          onInput: w,
          onChange: k,
          onKeyup: M(S, ["enter"]),
          onBlur: I,
          onFocus: C
        }, null, 40, ne), [
          [D, l.value]
        ]),
        u("div", ae, [
          e.clearable ? (n(), c(o(v), {
            key: 0,
            class: "fz-input__clear-btn",
            icon: o(X),
            size: 14,
            onClick: b
          }, null, 8, ["icon"])) : r("", !0),
          e.suffixIcon ? (n(), c(o(v), {
            key: 1,
            class: "fz-input__suffix-icon",
            icon: e.suffixIcon,
            size: 14
          }, null, 8, ["icon"])) : r("", !0),
          e.showPassword ? (n(), c(o(H), {
            key: 2,
            modelValue: d.value,
            "onUpdate:modelValue": t[1] || (t[1] = (m) => d.value = m),
            class: "fz-input__show-password",
            type: "swap",
            "icon-on": o(j),
            "icon-off": o(q),
            size: 14,
            onChange: N
          }, null, 8, ["modelValue", "icon-on", "icon-off"])) : r("", !0)
        ])
      ]),
      e.$slots.after || e.search ? (n(), i("div", le, [
        e.search ? (n(), i("div", {
          key: 0,
          class: "fz-input__search",
          onClick: _
        }, [
          h(e.$slots, "searchBtn", {}, () => [
            L(o(G), {
              type: "primary",
              icon: o(J),
              size: o(p)
            }, null, 8, ["icon", "size"])
          ])
        ])) : h(e.$slots, "after", { key: 1 })
      ])) : r("", !0)
    ], 2));
  }
});
export {
  ye as default
};
