import { defineComponent as z, mergeModels as b, useModel as C, inject as D, computed as s, openBlock as p, createElementBlock as f, normalizeClass as r, withDirectives as S, createElementVNode as v, vModelRadio as B, unref as u, createCommentVNode as R, renderSlot as _, createTextVNode as F, toDisplayString as M } from "vue";
import { Props as P } from "./index3.js";
import { FZ_RADIO_GROUP_INJECT_KEY as T } from "../../../constants/index2.js";
import { CHANGE_EVENT as V } from "../../../constants/index.js";
import { useNamespace as w } from "../../../hooks/index24.js";
import { useFormSize as A } from "../../form/src/hooks/index2.js";
const G = ["value", "disabled", "name"];
var Y = /* @__PURE__ */ z({
  name: "FzRadio",
  __name: "radio",
  props: b(P, {
    modelValue: { type: Boolean, default: null, type: [String, Number, Boolean] }
  }),
  emits: b([V], ["update:modelValue"]),
  setup(t, { emit: k }) {
    const d = t, g = C(t, "modelValue"), e = D(
      T,
      null
    ), o = w("radio"), E = A((e == null ? void 0 : e.size) || d.size), i = s({
      get: () => e && e.modelValue || d.modelValue,
      set: (l) => {
        var a;
        if (e && !n.value) {
          (a = e == null ? void 0 : e.changeEvent) == null || a.call(e, l);
          return;
        }
        m.value || (g.value = l, k(V, l));
      }
    }), N = s(() => i.value === d.label), n = s(
      () => !!(e && e.disabled)
    ), m = s(() => d.disabled || n.value), h = s(() => [
      o.b(),
      o.m(E.value),
      o.is("disabled", m.value),
      o.is("checked", N.value),
      o.is("background", !!(e != null && e.background))
    ]);
    return (l, a) => {
      var c;
      return p(), f("label", {
        role: "radio",
        "aria-checked": "false",
        tabindex: "0",
        class: r(h.value)
      }, [
        S(v("input", {
          "onUpdate:modelValue": a[0] || (a[0] = (y) => i.value = y),
          hidden: "",
          type: "radio",
          value: l.label,
          disabled: l.disabled,
          name: l.name
        }, null, 8, G), [
          [B, i.value]
        ]),
        (c = u(e)) != null && c.background ? R("", !0) : (p(), f("span", {
          key: 0,
          class: r(u(o).e("circle"))
        }, null, 2)),
        v("span", {
          class: r(u(o).e("text"))
        }, [
          _(l.$slots, "default", {}, () => [
            F(M(l.label), 1)
          ])
        ], 2)
      ], 2);
    };
  }
});
export {
  Y as default
};
