import { isString as p, isNumber as h, isClient as r, camelize as b } from "../lodash/index.js";
import { warning as g } from "../console/index.js";
const l = (t) => (t || "").split(" ").filter((o) => !!o.trim()), A = (t, o, s, e = !1) => {
  t && o && s && (t == null || t.addEventListener(o, s, e));
}, v = (t, o, s, e = !1) => {
  t && o && s && (t == null || t.removeEventListener(o, s, e));
}, x = (t) => t.stopPropagation();
function L(t, o = "px") {
  return p(t) ? t : h(t) ? `${t}${o}` : (g("addUnit", "binding value must be a string or number"), "");
}
const w = (t, o) => {
  var s;
  if (!r || !t || !o)
    return "";
  o = b(o), o === "float" && (o = "cssFloat");
  try {
    const e = t.style[o];
    if (e)
      return e;
    const n = (s = document.defaultView) == null ? void 0 : s.getComputedStyle(t, "");
    return n ? n[o] : "";
  } catch {
    return t.style[o];
  }
}, E = (t, o) => {
  if (!r)
    return !1;
  const s = {
    undefined: "overflow",
    true: "overflow-y",
    false: "overflow-x"
  }[String(o)], e = w(t, s);
  return ["scroll", "auto", "overlay"].some((n) => e.includes(n));
}, B = (t, o) => {
  if (!r)
    return;
  let s = t;
  for (; s; ) {
    if ([window, document, document.documentElement].includes(s))
      return document.documentElement;
    if (E(s, o))
      return s;
    s = s.parentNode;
  }
  return s;
}, P = (t, o) => {
  if (!t || !o)
    return !1;
  if (o.includes(" "))
    throw new Error("className should not contain space.");
  return t.classList.contains(o);
};
function R(t, o) {
  if (!t)
    return;
  let s = t.getAttribute("class") || "";
  const e = l(s), n = (o || "").split(" ").filter((i) => !e.includes(i) && !!i.trim());
  t.classList ? t.classList.add(...n) : (s += ` ${n.join(" ")}`, t.setAttribute("class", s));
}
function W(t, o) {
  if (!t || !o)
    return;
  const s = l(o);
  let e = t.getAttribute("class") || "";
  if (t.classList) {
    t.classList.remove(...s);
    return;
  }
  s.forEach((i) => {
    e = e.replace(` ${i} `, " ");
  });
  const n = l(e).join(" ");
  t.setAttribute("class", n);
}
const I = (t, o, { checkForDefaultPrevented: s = !0 } = {}) => (n) => {
  const i = t == null ? void 0 : t(n);
  if (s === !1 || !i)
    return o == null ? void 0 : o(n);
};
function N(t, o) {
  if (!r)
    return;
  if (!o) {
    t.scrollTop = 0;
    return;
  }
  const s = [];
  let e = o.offsetParent;
  for (; e !== null && t !== e && t.contains(e); )
    s.push(e), e = e.offsetParent;
  const n = o.offsetTop + s.reduce((a, d) => a + d.offsetTop, 0), i = n + o.offsetHeight, u = t.scrollTop, f = u + t.clientHeight;
  n < u ? t.scrollTop = n : i > f && (t.scrollTop = i - t.clientHeight);
}
let c;
const X = () => {
  var n;
  if (!r)
    return 0;
  if (c !== void 0)
    return c;
  const t = document.createElement("div");
  t.className = "el-scrollbar__wrap", t.style.visibility = "hidden", t.style.width = "100px", t.style.position = "absolute", t.style.top = "-9999px", document.body.appendChild(t);
  const o = t.offsetWidth;
  t.style.overflow = "scroll";
  const s = document.createElement("div");
  s.style.width = "100%", t.appendChild(s);
  const e = s.offsetWidth;
  return (n = t.parentNode) == null || n.removeChild(t), c = o - e, c;
}, C = (t) => getComputedStyle(t).position === "fixed" ? !1 : t.offsetParent !== null, y = (t) => {
  if (t.tabIndex > 0 || t.tabIndex === 0 && t.getAttribute("tabIndex") !== null)
    return !0;
  if (t.disabled)
    return !1;
  switch (t.nodeName) {
    case "A":
      return !!t.href && t.rel !== "ignore";
    case "INPUT":
      return !(t.type === "hidden" || t.type === "file");
    case "BUTTON":
    case "SELECT":
    case "TEXTAREA":
      return !0;
    default:
      return !1;
  }
}, m = 'a[href],button:not([disabled]),button:not([hidden]),:not([tabindex="-1"]),input:not([disabled]),input:not([type="hidden"]),select:not([disabled]),textarea:not([disabled])', O = (t) => Array.from(
  t.querySelectorAll(m)
).filter((o) => y(o) && C(o)), U = (t) => {
  let o, s;
  return t.type === "touchend" ? (s = t.changedTouches[0].clientY, o = t.changedTouches[0].clientX) : t.type.startsWith("touch") ? (s = t.touches[0].clientY, o = t.touches[0].clientX) : (s = t.clientY, o = t.clientX), {
    clientX: o,
    clientY: s
  };
}, Y = (t, o) => {
  if (!r || !t || !o)
    return !1;
  const s = t.getBoundingClientRect();
  let e;
  return o instanceof Element ? e = o.getBoundingClientRect() : e = {
    top: 0,
    right: window.innerWidth,
    bottom: window.innerHeight,
    left: 0
  }, s.top < e.bottom && s.bottom > e.top && s.right > e.left && s.left < e.right;
}, F = () => {
};
export {
  F as NOOP,
  R as addClass,
  L as addUnit,
  I as composeEventHandlers,
  U as getClientXY,
  X as getScrollBarWidth,
  B as getScrollContainer,
  w as getStyle,
  P as hasClass,
  y as isFocusable,
  Y as isInContainer,
  E as isScroll,
  C as isVisible,
  O as obtainAllFocusableElements,
  v as off,
  A as on,
  W as removeClass,
  N as scrollIntoView,
  x as stop
};
