import type { ExtractPropTypes, PropType } from 'vue';
export declare const Props: {
    /** icon 内容 */
    readonly icon: {
        readonly type: PropType<any>;
    };
    readonly color: {
        readonly type: StringConstructor;
        readonly default: "";
    };
    readonly size: {
        readonly type: PropType<string | number>;
    };
};
export type SvgIconProps = ExtractPropTypes<typeof Props>;
